%define pname     osdserver
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.1.2
Release:        5
Summary:        osdserver Plugin for the Video Disk Recorder (VDR)

Group:          Multimedia/VDR
License:        GPL
URL:            http://www.udo-richter.de/
Source0:        http://www.udo-richter.de/vdr/files/vdr-osdserver-0.1.2.tgz
Source200:      vdr-osdserver.runvdr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver} netcat

%description
This is a Spectrum Analyzer Plugin for the Video Disk Recorder (VDR)

%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/osdserver

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable osdserver >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable osdserver >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc README*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%config(noreplace) %{_sysconfdir}/runvdr/osdserver

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.2-5
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.1.2-4
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.2-3
- rebuild against vdr-1.6.0-9
* Fri Nov 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.2-2
- added netcat require
* Fri Nov 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.2-1
- Initial release